org.apache.drill.jdbc

## Class DrillbitClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.drill.jdbc.DrillbitClassLoader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class DrillbitClassLoader
    extends URLClassLoader

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Class<?>` `findClass(String name)`
`Class<?>` `loadClass(String name)`
`protected Class<?>` `loadClass(String name, boolean resolve)`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### findClass

    protected Class<?> findClass(String name)
                          throws ClassNotFoundException

Overrides:
  `findClass` in class `URLClassLoader`
Throws:
  `ClassNotFoundException`

#### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

#### loadClass

    protected Class<?> loadClass(String name,
                                 boolean resolve)
                          throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`